/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.segments;

import com.liferay.segments.context.Context;

/**
 * Provides methods to to obtain the {@link com.liferay.segments.model.SegmentsEntry SegmentsEntry} from a userId.
 *
 * @author Cristina González
 */
public interface SegmentsEntryRetriever {

	/**
	 * @deprecated As of Cavanaugh (7.4.x), replaced by {@link
	 *             #getSegmentsEntryIds(long, long, Context, long[])}
	 */
	@Deprecated
	public default long[] getSegmentsEntryIds(
		long groupId, long userId, Context context) {

		return getSegmentsEntryIds(groupId, userId, context, new long[0]);
	}

	public long[] getSegmentsEntryIds(
		long groupId, long userId, Context context, long[] segmentEntryIds);

}